Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.map.naming
Class BasicNamingStrategy

    java.lang.Object
      org.apache.cayenne.map.naming.BasicNamingStrategy

All Implemented Interfaces:
  NamingStrategy

    public class BasicNamingStrategy

extends Object
implements NamingStrategy

BasicNamingStrategy is an naming strategy that creates names in Cayenne's old-fashioned manner, i.e. the same way Cayenne did before 3.0

Since:
  3.0

Constructor Summary
`BasicNamingStrategy()`

Method Summary
`String` | `createDbRelationshipName(ExportedKey key, boolean toMany)` Creates new name for Db Relationship
`String` | `createObjAttributeName(DbAttribute attr)` Creates new name for Obj Attribute
`String` | `createObjEntityName(DbEntity dbEntity)` Creates new name for Obj Entity
`String` | `createObjRelationshipName(DbRelationship dbRel)` Creates new name for Obj Relationship

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicNamingStrategy

    public BasicNamingStrategy()

Method Detail

### createDbRelationshipName

    public String createDbRelationshipName(ExportedKey key,
                                           boolean toMany)

  Description copied from interface: `NamingStrategy`
  Creates new name for Db Relationship

  Specified by:
    `createDbRelationshipName` in interface `NamingStrategy`

### createObjEntityName

    public String createObjEntityName(DbEntity dbEntity)

  Description copied from interface: `NamingStrategy`
  Creates new name for Obj Entity

  Specified by:
    `createObjEntityName` in interface `NamingStrategy`

### createObjAttributeName

    public String createObjAttributeName(DbAttribute attr)

  Description copied from interface: `NamingStrategy`
  Creates new name for Obj Attribute

  Specified by:
    `createObjAttributeName` in interface `NamingStrategy`

### createObjRelationshipName

    public String createObjRelationshipName(DbRelationship dbRel)

  Description copied from interface: `NamingStrategy`
  Creates new name for Obj Relationship

  Specified by:
    `createObjRelationshipName` in interface `NamingStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.